<h1>Nuevo Héroe <small> {{heroe.superhero}} </small> </h1>

<div fxLayout="row" fxLayoutGap="40px" fxLayout.xs="column">
    <div fxFlex="50" fxLayout="column">

        <div fxLayout="row" fxLayoutGap="20px" fxLayout.xs="column">
            <mat-form-field fxFlex="100" fxLayout.xs="column">
                <mat-label>Super Héroe</mat-label>
                <input matInput type="text" [(ngModel)]="heroe.superhero" required>
            </mat-form-field>

            <mat-form-field fxFlex="100">
                <mat-label>Alter Ego</mat-label>
                <input matInput type="text" required [(ngModel)]="heroe.alter_ego">
            </mat-form-field>
        </div>

        <mat-form-field>
            <mat-label>Primera apatición</mat-label>
            <input matInput type="text" required [(ngModel)]="heroe.first_appearance">
        </mat-form-field>

        <mat-form-field>
            <mat-label>Personajes</mat-label>
            <input matInput type="text" required [(ngModel)]="heroe.characters">
        </mat-form-field>

        <mat-form-field>
            <mat-label>Primera apatición</mat-label>
            <input matInput type="text" required [(ngModel)]="heroe.first_appearance">
        </mat-form-field>
        <mat-form-field>
            <mat-label>creador</mat-label>
            <mat-select [(ngModel)]="heroe.publisher" required>
                <mat-option *ngFor="let publisher of piblishers" [value]="publisher.id">
                    {{ publisher.desc }}
                </mat-option>
            </mat-select>
        </mat-form-field>
        <mat-form-field>
            <mat-label>Foto Url</mat-label>
            <input matInput type="url" [(ngModel)]="heroe.alt_img" required>
        </mat-form-field>
        <br>

        <div fxLayout>

            <button mat-raised-button color="primary" (click)="guardar()">
            <mat-icon>edit</mat-icon>
            Guardar
            </button>
            <span class="spacer"></span>

            <button *ngIf="heroe.id" (click)="borrarHeroe()" mat-raised-button color="warn">
            <mat-icon>remove</mat-icon>
            Borrar
            </button>
        </div>

    </div>
    <div fxFlex="50">
        <img [src]="heroe | imagen">
    </div>
</div>